Add build.sh

This commit is contained in:
Santiago Lo Coco 2022-02-04 01:02:40 -03:00
parent 4caa531295
commit 55d3849414
1 changed files with 16 additions and 0 deletions

16
build.sh Executable file
View File

@ -0,0 +1,16 @@
#!/usr/bin/env bash
buildDatabase() {
repo-add -s -n -R -k "199980CE93F18E62" calrepo.db.tar.gz *.pkg.tar.zst
}
runScript() {
lastFolder=$(pwd -P)
cd x86_64 || { echo "Couldn't cd into 'x86_64'." 1>&2 && exit 1; }
buildDatabase
cd "$lastFolder" || { echo "Couldn't cd into '$lastFolder'." 1>&2 && exit 1; }
}
runScript